INCLUDE SWREFMAC.MAC
zk1     macro n,a
         kbl    ZK
         nss    n,a
         kbr
        endm
zk2     macro n,a,m
         kbl    ZK
         nss    n,a
         ns     mc,m
         kbr
        endm
dat     segment
B_       label byte
;B       =K/B00/.K/B01/.K/B02/.K/B03/.+
;           K//':N='/0/.+
;           K/WW/K/B1/()K/G/...K//':N'.
B        label byte
         nol    1,'B'
B_1      label byte
         uper   B_E-B_1
         prov
         kbl    B00
         kbr
         kbl    B01
         kbr
         kbl    B02
         kbr
         kbl    B03
         kbr
         zk2    3,':N=',0
         kbl    WW
         kbl    B1
         bl_
         br
         kbl    G
         kbr
         kbr
         kbr
         kbl    BK
         nss    2,':N'
         kbr
         EST
B_E      label byte
         AB
;B00       =K//':=L'.+
;           K//':EST=Z'.+
;           K//':AB=z'.+
;           K//':NOL=0'.
B00        label byte
         nol    3,'B00'
B00_1      label byte
         uper   B00_E-B00_1
         prov
         zk1    7,':=L'
         zk1    6,':EST=Z'
         zk1    5,':AB=z'
         zk1    6,':NOL=0'
         EST
B00_E      label byte
         AB
;B01       =K//':=C'.+
;           K//':=c'.+
;           K//':=D'.+
;           K//':=A'.+
;           K//':=a'.+
;           K//':=F'.+
;           K//':=E'.+
;           K//':=B'.+
;           K//':=H'.+
;           K//':=G'.+
;           K//':=JK'.
B01        label byte
         nol    3,'B01'
B01_1      label byte
         uper   B01_E-B01_1
         prov
         zk1    7,':=C'
         zk1    8,':=c'
         zk1    6,':=D'
         zk1    7,':=A'
         zk1    8,':=a'
         zk1    6,':=F'
         zk1    6,':=E'
         zk1    7,':=B'
         zk1    6,':=H'
         zk1    7,':=G'
         zk1    6,':=JK'
         EST
B01_E      label byte
         AB
;B02       =K//':KBL=S'.+
;           K//':KBR=R'.+
;           K//':BL=U'.+
;           K//':BR=T'.+
;           K//':NSS=y'.+
;           K//':NS=Y'.+
;           K//':MULS=X'.+
;           K//':TP0=v'.+
;           K//':TPS=V'.
B02        label byte
         nol    3,'B02'
B02_1      label byte
         uper   B02_E-B02_1
         prov
         zk1    6,':KBL=S'
         zk1    6,':KBR=R'
         zk1    5,':BL=U'
         zk1    5,':BR=T'
         zk1    6,':NSS=y'
         zk1    5,':NS=Y'
         zk1    7,':MULS=X'
         zk1    6,':TP0=v'
         zk1    6,':TPS=V'
         EST
B02_E      label byte
         AB
;B03       =K//'_G'     '='/1/.+
;           K//'_WX1'   '='/2/.+
;           K//'_WX2'   '='/3/.+
;           K//'_'    '='/10/.+
;           K//'_'    '='/11/.+
;           K//'_'    '='/12/.+
;           K//'_'    '='/13/.+
;           K//'_M1'    '='/20/.+
;           K//'_P1'    '='/21/.+
;           K//'_P2'    '='/22/.+
;           K//'_CMPN'  '='/30/.+
;           K//'_ADDN'  '='/31/.+
;           K//'_SUBN'  '='/32/.+
;           K//'_MULN'  '='/33/.
B03        label byte
         nol    3,'B03'
B03_1      label byte
         uper   B03_E-B03_1
         prov
          zk2    3,'_G=',1
          zk2    5,'_WX1=',2
          zk2    5,'_WX2=',3
          zk2    4,'_=',10
          zk2    4,'_=',11
          zk2    4,'_=',12
          zk2    4,'_=',13
          zk2    4,'_M1=',20
          zk2    4,'_P1=',21
          zk2    4,'_P2=',22
          zk2    6,'_CMPN=',30
          zk2    6,'_ADDN=',31
          zk2    6,'_SUBN=',32
          zk2    6,'_MULN=',33
         EST
B03_E      label byte
         AB

;B1      (E1)'*'E2=K/B1/(E1)K/G/..
;*       3564 7 892
B1       LABEL BYTE
         NOL    2,'B1'
B1_1     LABEL BYTE
         UPER   B1_2-B1_1
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  OZ,'*'
         ZAKR
         KBL    B1
         BL_
         TP0
         BR
         KBL    G
         KBR
         KBR
         TPS    6
         EST
;        (E1)' 'E2=K/B1/(E1(E2))K/G/..
;*       3564 7 892
B1_2     LABEL BYTE
         UPER   B1_3-B1_2
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  OZ,' '
         ZAKR
         KBL    B1
         BL_
         TP0
         BL_
         TP0
         BR
         BR
         KBL    G
         KBR
         KBR
         TPS    9
         TPS    6
         EST
;        (E1)SME2=K/F0/E1.K/B1/((K/M/SME2.))K/G/..
;*       3564 7892
B1_3     LABEL BYTE
         UPER   B1_4-B1_3
         SKOB
         ZAKR
         UGR    4,2
         SIM
         ZAKR
         KBL    F0
         TP0
         KBR
         KBL    B1
         BL_
         BL_
         KBL    M
         MULS   7
         TP0
         KBR
         BR
         BR
         KBL    G
         KBR
         KBR
         TPS    9
         TPS    6
         EST
;        (E1)=K/F0/E1.
;*       35642
B1_4     LABEL BYTE
         UPER   B1_E-B1_4
         SKOB
         ZAKR
         UGR    4,2
         PROV
         KBL    F0
         TP0
         KBR
         TPS    6
         EST
B1_E      LABEL BYTE
         AB
;M        E1' 'E2=(E1)E2
;*        34 5 672
M        LABEL BYTE
         NOL    1,'M'
M_1      LABEL BYTE
         UPER   M_E-M_1
         UD
         ZNACH  OZ,' '
         ZAKR
         BL_
         TP0
         BR
         TP0
         TPS   7
         TPS   4
         EST
M_E      LABEL BYTE
         AB
;MM       E1=E1
MM       LABEL BYTE
         NOL    2,'MM'
MM_1      LABEL BYTE
         UPER   MM_E-MM_1
         ZAKR
         TP0
         TPS   4
         EST
MM_E      LABEL BYTE
         AB
;F0       =
F0       LABEL BYTE
         NOL    2,'F0'
F0_1     LABEL BYTE
         UPER   F0_2-F0_1
         PROV
         EST
;         ((E1)E2)E3=K/W/((E1)K/F1/(E2)E3.).
;*        357869A4BC2
F0_2     LABEL BYTE
         UPER   F0_E-F0_2
         SKOB
         SKOB
         ZAKR
         UGR    6,4
         ZAKR
         UGR    4,2
         ZAKR
         KBL    W
         BL_
         BL_
         TP0
         BR
         KBL    F1
         BL_
         TP0
         BR
         TP0
         KBR
         BR
         KBR
         TPS   12
         TPS   10
         TPS   8
         EST
F0_E     LABEL BYTE
         AB
;F1P     (E1)(E2)E3=K/F1/(E1E2)E3.
;*       356479A8BC2
F1P      LABEL BYTE
         NOL    3,'F1P'
F1P_1    LABEL BYTE
         UPER   F1P_E-F1P_1
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         ZAKR
         UGR    8,2
         ZAKR
         KBL    F1
         BL_
         TP0
         TP0
         BR
         TP0
         KBR
         TPS   12
         TPS   10
         TPS   6
         EST
F1P_E    LABEL BYTE
         AB
;F1      (E1'+')E2=K/F1P/(E1)E2.
;*       367 5 4892
F1       LABEL BYTE
         NOL    2,'F1'
F1_1     LABEL BYTE
         UPER   F1_2-F1_1
         SKOB
         ZNACHZ OZ,'+'
         ZAKR
         UGR    4,2
         ZAKR
         KBL    F1P
         BL_
         TP0
         BR
         TP0
         KBR
         TPS    9
         TPS    7
         EST
;        (E1   )E2=(K/F3/K/F2/E1..)K/F1/E2.
;*       356   4782
F1_2     LABEL BYTE
         UPER   F1_3-F1_2
         SKOB
         ZAKR
         UGR    4,2
         ZAKR
         BL_
         KBL    F3
         KBL    F2
         TP0
         KBR
         KBR
         BR
         KBL    F1
         TP0
         KBR
         TPS   8
         TPS   6
         EST
;        =
F1_3     LABEL BYTE
         UPER   F1_E-F1_3
         PROV
         EST
F1_E     LABEL BYTE
         AB
;F2      'S'S1E2=('S'S1)K/F2/E2.
;*        3 4 562
F2       LABEL BYTE
         NOL    2,'F2'
F2_1     LABEL BYTE
         UPER   F2_2-F2_1
         ZNACH  OZ,'S'
         SIM
         ZAKR
         BL_
         NSS    1,'S'
         MULS   4
         BR
         KBL    F2
         TP0
         KBR
         TPS   6
         EST
;        'E'S1E2=('E'S1)K/F2/E2.
;*        3 4 562
F2_2     LABEL BYTE
         UPER   F2_3-F2_2
         ZNACH  OZ,'E'
         SIM
         ZAKR
         BL_
         NSS    1,'E'
         MULS   4
         BR
         KBL    F2
         TP0
         KBR
         TPS   6
         EST
;        ' 'E2=K/F2/E2.
;*        3 452
F2_3     LABEL BYTE
         UPER   F2_4-F2_3
         ZNACH  OZ,' '
         ZAKR
         KBL    F2
         TP0
         KBR
         TPS   5
         EST
;        ''''E2=K/F20/()E2.
;*        3  452
F2_4     LABEL BYTE
         UPER   F2_5-F2_4
         ZNACH  OZ,''''
         ZAKR
         KBL    F20
         BL_
         BR
         TP0
         KBR
         TPS   5
         EST
;        '('E2=K/F2/K/F2S/('(')E2..
;*        3 452
F2_5     LABEL BYTE
         UPER   F2_6-F2_5
         ZNACH  OZ,'('
         ZAKR
         KBL    F2
         KBL    F2S
         BL_
         NSS    1,'('
         BR
         TP0
         KBR
         KBR
         TPS   5
         EST
;        '='E2=(K/F2E/E2.)
;*        3 452
F2_6     LABEL BYTE
         UPER   F2_7-F2_6
         ZNACH  OZ,'='
         ZAKR
         BL_
         KBL    F2E
         TP0
         KBR
         BR
         TPS   5
         EST
;        '/'E1'/'E2=('4'E1)K/F2/E2.
;*        3 45 6 782
F2_7     LABEL BYTE
         UPER   F2_8-F2_7
         ZNACH  OZ,'/'
         UD
         ZNACH  OZ,'/'
         ZAKR
         BL_
         NSS    1,'4'
         TP0
         BR
         KBL    F2
         TP0
         KBR
         TPS   8
         TPS   5
         EST
;        ('('E1)E2=('('K/F2/E1.)K/F2/E2.
;*       3 5 674892
F2_8     LABEL BYTE
         UPER   F2_9-F2_8
         SKOB
         ZNACH  OZ,'('
         ZAKR
         UGR    4,2
         ZAKR
         BL_
         NSS    1,'('
         KBL    F2
         TP0
         KBR
         BR
         KBL    F2
         TP0
         KBR
         TPS   9
         TPS   7
         EST
;        =
F2_9     LABEL BYTE
         UPER   F2_E-F2_9
         PROV
         EST
F2_E     LABEL BYTE
         AB
;F2S     (E1)'('E2=K/F2S/K/F2S2/(E1)K/F2S/('(')E2...
;*       3564 7 892
F2S      LABEL BYTE
         NOL    3,'F2S'
F2S_1    LABEL BYTE
         UPER   F2S_2-F2S_1
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,'('
         ZAKR
         KBL    F2S
         KBL    F2S2
         BL_
         TP0
         BR
         KBL    F2S
         BL_
         NSS    1,'('
         BR
         TP0
         KBR
         KBR
         KBR
         TPS   9
         TPS   6
         EST
;        (E1)')'E2=(E1)E2
;*       3564 7 892
F2S_2    LABEL BYTE
         UPER   F2S_3-F2S_2
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,')'
         ZAKR
         BL_
         TP0
         BR
         TP0
         TPS   9
         TPS   6
         EST
;        (E1)''''E2''''E3=K/F2S/(E1''''E2'''')E3.
;*       3564 7  89 A  BC2
F2S_3    LABEL BYTE
         UPER   F2S_4-F2S_3
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,''''
         UD
         ZNACH  0,''''
         ZAKR
         KBL    F2S
         BL_
         TP0
         NSS    1,''''
         TP0
         NSS    1,''''
         BR
         TP0
         KBR
         TPS   12
         TPS   9
         TPS   6
         EST
;        (E1) S2E3=K/F2S/(E1S2)E3.
;*       3564 7 892
F2S_4    LABEL BYTE
         UPER   F2S_5-F2S_4
         SKOB
         ZAKR
         UGR    4,2
         SIM
         ZAKR
         KBL    F2S
         BL_
         TP0
         MULS   7
         BR
         TP0
         KBR
         TPS   9
         TPS   6
         EST
;        (E1)(E2)E3=K/F2S/(E1(E2))E3.
;*       356479A8BC2
F2S_5    LABEL BYTE
         UPER   F2S_E-F2S_5
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         ZAKR
         UGR    8,2
         ZAKR
         KBL    F2S
         BL_
         TP0
         BL_
         TP0
         BR
         BR
         TP0
         KBR
         TPS   12
         TPS   10
         TPS   6
         EST
F2S_E    LABEL BYTE
         AB
;F2S2    (E1)(E2)E3=(E1(E2))E3
;*       356479A8BC2
F2S2     LABEL BYTE
         NOL    4,'F2S2'
F2S2_1   LABEL BYTE
         UPER   F2S2_E-F2S2_1
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         ZAKR
         UGR    8,2
         ZAKR
         BL_
         TP0
         BL_
         TP0
         BR
         BR
         TP0
         TPS   12
         TPS   10
         TPS   6
         EST
F2S2_E   LABEL BYTE
         AB
;F2E     'S'S1E2=('S'S1)K/F2E/E2.
;*        3 4 562
F2E      LABEL BYTE
         NOL    3,'F2E'
F2E_1    LABEL BYTE
         UPER   F2E_2-F2E_1
         ZNACH  OZ,'S'
         SIM
         ZAKR
         BL_
         NSS    1,'S'
         MULS   4
         BR
         KBL    F2E
         TP0
         KBR
         TPS   6
         EST
;        'E'S1E2=('E'S1)K/F2E/E2.
;*        3 4 562
F2E_2    LABEL BYTE
         UPER   F2E_3-F2E_2
         ZNACH  OZ,'E'
         SIM
         ZAKR
         BL_
         NSS    1,'E'
         MULS   4
         BR
         KBL    F2E
         TP0
         KBR
         TPS   6
         EST
;        ' 'E2=K/F2E/E2.
;*        3 452
F2E_3    LABEL BYTE
         UPER   F2E_4-F2E_3
         ZNACH  OZ,' '
         ZAKR
         KBL    F2E
         TP0
         KBR
         TPS   5
         EST
;        ''''E2=K/F2E0/()E2.
;*        3  452
F2E_4    LABEL BYTE
         UPER   F2E_5-F2E_4
         ZNACH  OZ,''''
         ZAKR
         KBL    F2E0
         BL_
         BR
         TP0
         KBR
         TPS   5
         EST
;        '('E2=K/F2E/K/F2S/('(')E2..
;*        3 452
F2E_5    LABEL BYTE
         UPER   F2E_6-F2E_5
         ZNACH  OZ,'('
         ZAKR
         KBL    F2E
         KBL    F2S
         BL_
         NSS    1,'('
         BR
         TP0
         KBR
         KBR
         TPS   5
         EST
;        '/'E1'/'E2=('4'E1)K/F2E/E2.
;*        3 45 6 782
F2E_6    LABEL BYTE
         UPER   F2E_7-F2E_6
         ZNACH  OZ,'/'
         UD
         ZNACH  OZ,'/'
         ZAKR
         BL_
         NSS    1,'4'
         TP0
         BR
         KBL    F2E
         TP0
         KBR
         TPS   8
         TPS   5
         EST
;        ('('E1)E2=('(')K/F2E/E1.(')')K/F2E/E2.
;*       3 5 674892
F2E_7     LABEL BYTE
         UPER   F2E_8-F2E_7
         SKOB
         ZNACH  OZ,'('
         ZAKR
         UGR    4,2
         ZAKR
         BL_
         NSS    1,'('
         BR
         KBL    F2E
         TP0
         KBR
         BL_
         NSS    1,')'
         BR
         KBL    F2E
         TP0
         KBR
         TPS   9
         TPS   7
         EST
;        'K'E2=K/F2E/K/F2EK/('K')E2..
;*        3 452
F2E_8    LABEL BYTE
         UPER   F2E_9-F2E_8
         ZNACH  OZ,'K'
         ZAKR
         KBL    F2E
         KBL    F2EK
         BL_
         NSS    1,'K'
         BR
         TP0
         KBR
         KBR
         TPS   5
         EST
;        ('K'E1)E2=('K')K/F2E/E1.('.')K/F2E/E2.
;*       3 5 674892
F2E_9     LABEL BYTE
         UPER   F2E_10-F2E_9
         SKOB
         ZNACH  OZ,'K'
         ZAKR
         UGR    4,2
         ZAKR
         BL_
         NSS    1,'K'
         BR
         KBL    F2E
         TP0
         KBR
         BL_
         NSS    1,'.'
         BR
         KBL    F2E
         TP0
         KBR
         TPS   9
         TPS   7
         EST
;        =
F2E_10   LABEL BYTE
         UPER   F2E_E-F2E_10
         PROV
         EST
F2E_E     LABEL BYTE
         AB
;F2EK    (E1)'K'E2=K/F2EK/K/F2S2/(E1)K/F2EK/('K')E2...
;*       3564 7 892
F2EK     LABEL BYTE
         NOL    4,'F2EK'
F2EK_1   LABEL BYTE
         UPER   F2EK_2-F2EK_1
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,'K'
         ZAKR
         KBL    F2EK
         KBL    F2S2
         BL_
         TP0
         BR
         KBL    F2EK
         BL_
         NSS    1,'K'
         BR
         TP0
         KBR
         KBR
         KBR
         TPS   9
         TPS   6
         EST
;        (E1)'.'E2=(E1)E2
;*       3564 7 892
F2EK_2   LABEL BYTE
         UPER   F2EK_3-F2EK_2
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,'.'
         ZAKR
         BL_
         TP0
         BR
         TP0
         TPS   9
         TPS   6
         EST
;        (E1)''''E2''''E3=K/F2EK/(E1''''E2'''')E3.
;*       3564 7  89 A  BC2
F2EK_3   LABEL BYTE
         UPER   F2EK_3A-F2EK_3
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,''''
         UD
         ZNACH  0,''''
         ZAKR
         KBL    F2EK
         BL_
         TP0
         NSS    1,''''
         TP0
         NSS    1,''''
         BR
         TP0
         KBR
         TPS   12
         TPS   9
         TPS   6
         EST
;        (E1)'/'E2'/'E3=K/F2EK/(E1'/'E2'/')E3.
;*       3564 7 89 A BC2
F2EK_3A   LABEL BYTE
         UPER   F2EK_4-F2EK_3A
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,'/'
         UD
         ZNACH  0,'/'
         ZAKR
         KBL    F2EK
         BL_
         TP0
         NSS    1,'/'
         TP0
         NSS    1,'/'
         BR
         TP0
         KBR
         TPS   12
         TPS   9
         TPS   6
         EST
;        (E1) S2E3=K/F2EK/(E1S2)E3.
;*       3564 7 892
F2EK_4    LABEL BYTE
         UPER   F2EK_5-F2EK_4
         SKOB
         ZAKR
         UGR    4,2
         SIM
         ZAKR
         KBL    F2EK
         BL_
         TP0
         MULS   7
         BR
         TP0
         KBR
         TPS   9
         TPS   6
         EST
;        (E1)(E2)E3=K/F2EK/(E1(E2))E3.
;*       356479A8BC2
F2EK_5    LABEL BYTE
         UPER   F2EK_E-F2EK_5
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         ZAKR
         UGR    8,2
         ZAKR
         KBL    F2EK
         BL_
         TP0
         BL_
         TP0
         BR
         BR
         TP0
         KBR
         TPS   12
         TPS   10
         TPS   6
         EST
F2EK_E   LABEL BYTE
         AB
;F20     (E1)'''' ''''E2=K/F20/(E1'''')E2.
;*       3564 7    8  9A2
F20      LABEL BYTE
         NOL    3,'F20'
F20_1    LABEL BYTE
         UPER   F20_2-F20_1
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,''''
         ZNACH  0,''''
         ZAKR
         KBL    F20
         BL_
         TP0
         NSS    1,''''
         BR
         TP0
         KBR
         TPS   10
         TPS   6
         EST
;        (E1)''''E2=('0'K/F201/E1.)K/F2/E2.
;*       3564 7  892
F20_2    LABEL BYTE
         UPER   F20_3-F20_2
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,''''
         ZAKR
         BL_
         NSS    1,'0'
         KBL    F201
         TP0
         KBR
         BR
         KBL    F2
         TP0
         KBR
         TPS   9
         TPS   6
         EST
;        (E1)S2E3=K/F20/(E1S2)E3.
;*       35647 892
F20_3    LABEL BYTE
         UPER   F20_E-F20_3
         SKOB
         ZAKR
         UGR    4,2
         SIM
         ZAKR
         KBL    F20
         BL_
         TP0
         MULS   7
         BR
         TP0
         KBR
         TPS   9
         TPS   6
         EST
F20_E    LABEL BYTE
         AB
;F2E0    (E1)'''' ''''E2=K/F2E0/(E1'''')E2.
;*       3564 7    8  9A2
F2E0     LABEL BYTE
         NOL    4,'F2E0'
F2E0_1   LABEL BYTE
         UPER   F2E0_2-F2E0_1
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,''''
         ZNACH  0,''''
         ZAKR
         KBL    F2E0
         BL_
         TP0
         NSS    1,''''
         BR
         TP0
         KBR
         TPS   10
         TPS   6
         EST
;        (E1)''''E2=('0'K/F201/E1.)K/F2E/E2.
;*       3564 7  892
F2E0_2   LABEL BYTE
         UPER   F2E0_3-F2E0_2
         SKOB
         ZAKR
         UGR    4,2
         ZNACH  0,''''
         ZAKR
         BL_
         NSS    1,'0'
         KBL    F201
         TP0
         KBR
         BR
         KBL    F2E
         TP0
         KBR
         TPS   9
         TPS   6
         EST
;        (E1)S2E3=K/F2E0/(E1S2)E3.
;*       35647 892
F2E0_3   LABEL BYTE
         UPER   F2E0_E-F2E0_3
         SKOB
         ZAKR
         UGR    4,2
         SIM
         ZAKR
         KBL    F2E0
         BL_
         TP0
         MULS   7
         BR
         TP0
         KBR
         TPS   9
         TPS   6
         EST
F2E0_E   LABEL BYTE
         AB
;F201    =''''
F201     LABEL BYTE
         NOL    4,'F201'
F201_1   LABEL BYTE
         UPER   F201_2-F201_1
         PROV
         NSS    1,''''
         EST
;        E1=E1
F201_2   LABEL BYTE
         UPER   F201_E-F201_2
         ZAKR
         TP0
         TPS    4
         EST
F201_E   LABEL BYTE
         AB
;F3      E1(E2)=K/F5//3/K/F4//1//2//3/E1.K/R/E2()(K//':'.)..+
;*       5637842
;               K/DEL/K//':T'..
F3       LABEL BYTE
         NOL    2,'F3'
F3_1     LABEL BYTE
         UPER   F3_E-F3_1
         SKOBZ
         ZAKR
         UGR    3,4
         ZAKR
         KBL    F5
         NS     MC,3
         KBL    F4
         NS     MC,1
         NS     MC,2
         NS     MC,3
         TP0
         KBR
         KBL    R
         TP0
         BL_
         BR
         BL_
         KBL    BK
         NSS    3,':'
         KBR
         BR
         KBR
         KBR
         KBL    DEL
         KBL    BK
         NSS    2,':T'
         KBR
         KBR
         TPS   8
         TPS   6
         EST
F3_E     LABEL BYTE
         AB
;F4      SLSRST('('E2)E3=(/1/K//':'.)K/F4/STK/P1/ST.K/P2/ST.E2.+
;*       3 4 5 6 8 9A7BC2
;              (/3/K//':'.K/P1/ST.SR)K/F4/K/P1/ST.SRK//':T'.E3.
F4       LABEL BYTE
         NOL    2,'F4'
F4_1     LABEL BYTE
         UPER   F4_2-F4_1
         SIM
         SIM
         SIM
         SKOB
         ZNACH  OZ,'('
         ZAKR
         UGR    7,2
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    5,':'
         KBR
         BR
         KBL    F4
         MULS   5
         KBL    P1
         MULS   5
         KBR
         KBL    P2
         MULS   5
         KBR
         TP0
         KBR
         BL_
         NS     MC,3
         KBL    SCH
         NSS    4,':'
         KBR
         KBL    P1
         MULS   5
         KBR
         MULS   4
         BR
         KBL    F4
         KBL    P1
         MULS   5
         KBR
         MULS   4
         KBL    BK
         NSS    2,':T'
         KBR
         TP0
         KBR
         TPS   12
         TPS   10
         EST
;        SLSRST('0'E2)E3=(/4/K//':'./0/E2)K/F4/STSRK/P1/ST.E3.
;*       3 4 5 6 8 9A7BC2
F4_2     LABEL BYTE
         UPER   F4_3-F4_2
         SIM
         SIM
         SIM
         SKOB
         ZNACH  OZ,'0'
         ZAKR
         UGR    7,2
         ZAKR
         BL_
         NS     MC,4
         KBL    SCH
         NSS    5,':'
         KBR
         NS     MC,0
         TP0
         BR
         KBL    F4
         MULS   5
         MULS   4
         KBL    P1
         MULS   5
         KBR
         TP0
         KBR
         TPS   12
         TPS   10
         EST
;        SLSRST('4'E2)E3=(/4/K//':'./4/K/F4D//0/E2.)+
;*       3 4 5 6 8 9A7BC2
;                       K/F4/STSRK/P1/ST.E3.
F4_3     LABEL BYTE
         UPER   F4_4-F4_3
         SIM
         SIM
         SIM
         SKOB
         ZNACH  OZ,'4'
         ZAKR
         UGR    7,2
         ZAKR
         BL_
         NS     MC,4
         KBL    SCH
         NSS    5,':'
         KBR
         NS     MC,4
         kbl    F4D
         ns     mc,0
         TP0
         kbr
         BR
         KBL    F4
         MULS   5
         MULS   4
         KBL    P1
         MULS   5
         KBR
         TP0
         KBR
         TPS   12
         TPS   10
         EST
;        SLSRST('S'E2)E3=(K/F4S/ST('S'E2)K//':'..)K/F4/STSRK/P1/ST.E3.
;*       3 4 5 6 8 9A7BC2
F4_4     LABEL BYTE
         UPER   F4_5-F4_4
         SIM
         SIM
         SIM
         SKOB
         ZNACH  OZ,'S'
         ZAKR
         UGR    7,2
         ZAKR
         BL_
         KBL    F4S
         MULS   5
         BL_
         NSS    1,'S'
         TP0
         BR
         KBL    BK
         NSS    3,':'
         KBR
         KBR
         BR
         KBL    F4
         MULS   5
         MULS   4
         KBL    P1
         MULS   5
         KBR
         TP0
         KBR
         TPS   12
         TPS   10
         EST
;        SLSRST('E'E2)=K/F4E/K/P1/ST.('E'E2)K//':'..K//':T='K/P2/ST..
;*       3 4 5 6 8 9A72
F4_5     LABEL BYTE
         UPER   F4_6-F4_5
         SIM
         SIM
         SIM
         SKOB
         ZNACH  OZ,'E'
         ZAKR
         UGR    7,2
         PROV
         KBL    F4E
         KBL    P1
         MULS   5
         KBR
         BL_
         NSS    1,'E'
         TP0
         BR
         KBL    BK
         NSS    3,':'
         KBR
         KBR
         KBL    ZK
         NSS    3,':T='
         KBL    P2
         MULS   5
         KBR
         KBR
         TPS   10
         EST
;        SLSRST=(/1/K//':'.)K//':T='ST.
;*       3 4 5 2
F4_6     LABEL BYTE
         UPER   F4_7-F4_6
         SIM
         SIM
         SIM
         PROV
         BL_
         NS     MC,1
         KBL    SCH
         NSS    5,':'
         KBR
         BR
         KBL    ZK
         NSS    3,':T='
         MULS   5
         KBR
         EST
;        SLSRST('E'E2)E3=K/E/SLSRST('E'E2)E3.
;*       3 4 5 6 8 9A7BC2
F4_7     LABEL BYTE
         UPER   F4_E-F4_7
         SIM
         SIM
         SIM
         SKOB
         ZNACH  OZ,'E'
         ZAKR
         UGR    7,2
         ZAKR
         KBL    E
         MULS   3
         MULS   4
         MULS   5
         BL_
         NSS    1,'E'
         TP0
         BR
         TP0
         KBR
         TPS   12
         TPS   10
         EST
F4_E     LABEL BYTE
         AB
;F4S     ST(E1)E2(S3E1)E5=/2/K//':'.S3K//':='E2(S3E1)E5.
;*       3 467589AC DEBFG2
F4S      LABEL BYTE
         NOL    3,'F4S'
F4S_1    LABEL BYTE
         UPER   F4S_2-F4S_1
         SIM
         SKOB
         ZAKR
         UGR    5,2
         UD
         SKOB
         SIM
         STB    7
         PROV
         UGR    11,2
         ZAKR
         NS     MC,2
         KBL    SCH
         NSS    4,':'
         KBR
         MULS   12
         KBL    ZK
         NSS    4,':='
         TP0
         BL_
         MULS   12
         TP0
         BR
         TP0
         KBR
         TPS   16
         TPS   7
         TPS   9
         EST
;        ST(E1)E2=/1/K//':'.K//':='E2(STE1).
;*       3 4675892
F4S_2    LABEL BYTE
         UPER   F4S_E-F4S_2
         SIM
         SKOB
         ZAKR
         UGR    5,2
         ZAKR
         NS     MC,1
         KBL    SCH
         NSS    4,':'
         KBR
         KBL    ZK
         NSS    4,':='
         TP0
         BL_
         MULS   3
         TP0
         BR
         KBR
         TPS   7
         TPS   9
         EST
F4S_E    LABEL BYTE
         AB
;F4E     ST(E1)E2(S3E1)E5=(/2/K//':'.S3)(/1/K//':'.)+
;*       3 467589AC DEBFG2
;                         K//':='E2(S3E1)E5.
F4E      LABEL BYTE
         NOL    3,'F4E'
F4E_1    LABEL BYTE
         UPER   F4E_2-F4E_1
         SIM
         SKOB
         ZAKR
         UGR    5,2
         UD
         SKOB
         SIM
         STB    7
         PROV
         UGR    11,2
         ZAKR
         BL_
         NS     MC,2
         KBL    SCH
         NSS    4,':'
         KBR
         MULS   12
         BR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    5,':'
         KBR
         BR
         KBL    ZK
         NSS    4,':='
         TP0
         BL_
         MULS   12
         TP0
         BR
         TP0
         KBR
         TPS   16
         TPS   7
         TPS   9
         EST
;        ST(E1)E2=(/1/K//':'.)K//':='E2(STE1).
;*       3 4675892
F4E_2    LABEL BYTE
         UPER   F4E_E-F4E_2
         SIM
         SKOB
         ZAKR
         UGR    5,2
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    5,':'
         KBR
         BR
         KBL    ZK
         NSS    4,':='
         TP0
         BL_
         MULS   3
         TP0
         BR
         KBR
         TPS   7
         TPS   9
         EST
F4E_E    LABEL BYTE
         AB
;E      SLSRSTE3('0'E2)=(/4/K//':'./0/E2)K/F4/SLSTK/P1/ST.E3.
;*      3 4 5 896 A BC72
E       LABEL BYTE
         NOL    1,'E'
E_0     LABEL BYTE
         UPER   E_1-E_0
         SIM
         SIM
         SIM
         SKOBZ
         ZAKR
         UGR    6,7
         ZNACH  OZ,'0'
         ZAKR
         BL_
         NS     MC,4
         KBL    SCH
         NSS    6,':'
         KBR
         NS     4,0
         TP0
         BR
         KBL    F4
         MULS   3
         MULS   5
         KBL    P1
         MULS   5
         KBR
         TP0
         KBR
         TPS   9
         TPS   12
         EST
;       SLSRSTE3('('E2)=(/1/K//':'.)K/F4/SLSTK/P2/ST.E3.+
;*      3 4 5 896 A BC72
;           (/3/K//':'.STK/P1/ST.)K/F4/STK/P1/ST.K//':T'.E2.
E_1     LABEL BYTE
         UPER   E_2-E_1
         SIM
         SIM
         SIM
         SKOBZ
         ZAKR
         UGR    6,7
         ZNACH  OZ,'('
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    6,':'
         KBR
         BR
         KBL    F4
         MULS   3
         MULS   5
         KBL    P2
         MULS   5
         KBR
         TP0
         KBR
         BL_
         NS     MC,3
         KBL    SCH
         NSS    4,':'
         KBR
         MULS   5
         KBL    P1
         MULS   5
         KBR
         BR
         KBL    F4
         MULS   5
         KBL    P1
         MULS   5
         KBR
         KBL    BK
         NSS    2,':T'
         KBR
         TP0
         KBR
         TPS   12
         TPS   9
         EST
;       SLSRSTE3('E'E2)=K/EE/K/P1/ST.K/P2/ST.SRSTE3('E'E2)(K//':'.).
;*      3 4 5 896 A BC72
E_2     LABEL BYTE
         UPER   E_E-E_2
         SIM
         SIM
         SIM
         SKOBZ
         ZAKR
         UGR    6,7
         ZNACH  OZ,'E'
         ZAKR
         KBL    EE
         KBL    P1
         MULS   5
         KBR
         KBL    P2
         MULS   5
         KBR
         MULS   4
         MULS   5
         TP0
         BL_
         NSS    1,'E'
         TP0
         BR
         BL_
         KBL    BK
         NSS    3,':'
         KBR
         BR
         KBR
         TPS   12
         TPS   9
         EST
E_E      LABEL BYTE
         AB
;EE      S1S2SRST(E3)E4(E5(S6E3)E7)=(/2/K//':'.S6)+
;*       3 4 5 6 79A8DEBFGHJ KLIMNC2
;               K//':='E5(S6E3)E7.K/F4/S1SRS2E4.
EE       LABEL BYTE
         NOL    2,'EE'
EE_1     LABEL BYTE
         UPER   EE_2-EE_1
         SIM
         SIM
         SIM
         SIM
         SKOB
         ZAKR
         UGR    8,2
         SKOBZ
         ZAKR
         UGR    11,12
         UD
         SKOB
         SIM
         STB    10
         PROV
         UGR    18,12
         ZAKR
         BL_
         NS     MC,2
         KBL    SCH
         NSS    4,':'
         KBR
         MULS   19
         BR
         KBL    ZK
         NSS    4,':='
         TP0
         BL_
         MULS   19
         TP0
         BR
         TP0
         KBR
         KBL    F4
         MULS   3
         MULS   5
         MULS   4
         TP0
         KBR
         TPS   14
         TPS   23
         TPS   10
         TPS   16
         EST
;        S1S2SRST(E3)E4(E5)=(/2/K//':'.)+
;*       3 4 5 6 79A8DEBFGC2
;               K//':='E5(S1E3).K/F4/S1SRS2E4.
EE_2     LABEL BYTE
         UPER   EE_E-EE_2
         SIM
         SIM
         SIM
         SIM
         SKOB
         ZAKR
         UGR    8,2
         SKOBZ
         ZAKR
         UGR    11,12
         ZAKR
         BL_
         NS     MC,2
         KBL    SCH
         NSS    3,':'
         KBR
         BR
         KBL    ZK
         NSS    4,':='
         TP0
         BL_
         MULS   3
         TP0
         BR
         KBR
         KBL    F4
         MULS   3
         MULS   5
         MULS   4
         TP0
         KBR
         TPS   14
         TPS   10
         TPS   16
         EST
EE_E     LABEL BYTE
         AB
;F5      S1E4(/0/E3)=K/F5/K/ADDN/S1/4/.E4.(/0/E3)
;*       3 674 8 9A52
F5       LABEL BYTE
         NOL    2,'F5'
F5_1     LABEL BYTE
         UPER   F5_2-F5_1
         SIM
         SKOBZ
         ZAKR
         UGR    4,5
         ZNACH  MC,0
         ZAKR
         KBL    F5
         KBL    ADDN
         MULS   3
         NS     MC,4
         KBR
         TP0
         KBR
         BL_
         NS     MC,0
         TP0
         BR
         TPS   10
         TPS   7
         EST
;        S1E4(S2E3)=K/F5/K/ADDN/S1S2.E4.(S2E3)
;*       3 6748 9A52
F5_2     LABEL BYTE
         UPER   F5_3-F5_2
         SIM
         SKOBZ
         ZAKR
         UGR    4,5
         SIM
         ZAKR
         KBL    F5
         KBL    ADDN
         MULS   3
         MULS   8
         KBR
         TP0
         KBR
         BL_
         MULS   8
         TP0
         BR
         TPS   10
         TPS   7
         EST
;        S1=S1
;*        S1=K/P1/S1.
;*       3 2
F5_3     LABEL BYTE
         UPER   F5_E-F5_3
         SIM
         ZAKR
       ; KBL    P1
         MULS   3
       ; KBR
         EST
F5_E     LABEL BYTE
         AB
;R       ('K')E2(E3)(E4)=(/1/K//':KBL'.)K/R/E2(E3)(E4).
;*       3 5 4AB8CD96EF72
R        LABEL BYTE
         NOL    1,'R'
R_1      LABEL BYTE
         UPER   R_2-R_1
         SKOB
         ZNACH  OZ,'K'
         PROV
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    8,9
         ZAKR
         UGR    6,7
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    4,':KBL'
         KBR
         BR
         KBL    R
         TP0
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         KBR
         TPS   15
         TPS   13
         TPS   11
         EST
;        ('.')E2(E3)(E4)=(/1/K//':KBR'.)K/R/E2(E3)(E4).
;*       3 5 4AB8CD96EF72
R_2      LABEL BYTE
         UPER   R_3-R_2
         SKOB
         ZNACH  OZ,'.'
         PROV
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    8,9
         ZAKR
         UGR    6,7
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    4,':KBR'
         KBR
         BR
         KBL    R
         TP0
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         KBR
         TPS   15
         TPS   13
         TPS   11
         EST
;        ('(')E2(E3)(E4)=(/1/K//':BL'.)K/R/E2(E3)(E4).
;*       3 5 4AB8CD96EF72
R_3      LABEL BYTE
         UPER   R_4-R_3
         SKOB
         ZNACH  OZ,'('
         PROV
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    8,9
         ZAKR
         UGR    6,7
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    3,':BL'
         KBR
         BR
         KBL    R
         TP0
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         KBR
         TPS   15
         TPS   13
         TPS   11
         EST
;        (')')E2(E3)(E4)=(/1/K//':BR'.)K/R/E2(E3)(E4).
;*       3 5 4AB8CD96EF72
R_4      LABEL BYTE
         UPER   R_5-R_4
         SKOB
         ZNACH  OZ,')'
         PROV
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    8,9
         ZAKR
         UGR    6,7
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    3,':BR'
         KBR
         BR
         KBL    R
         TP0
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         KBR
         TPS   15
         TPS   13
         TPS   11
         EST
;        ('0'E1)E2(E3)(E4)=(K/R0//0/()E1.)K/R/E2(E3)(E4).
;*       3 5 674CDAEFB8GH92
R_5      LABEL BYTE
         UPER   R_6-R_5
         SKOB
         ZNACH  OZ,'0'
         ZAKR
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    10,11
         ZAKR
         UGR    8,9
         ZAKR
         BL_
         KBL    R0
         NS     MC,0
         BL_
         BR
         TP0
         KBR
         BR
         KBL    R
         TP0
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         KBR
         TPS   17
         TPS   15
         TPS   13
         TPS   7
         EST
;        ('4'E1)E2(E3)(E4)=(K/F44/K//':NS'.E1.)K/R/E2(E3)(E4).
;*       3 5 674CDAEFB8GH92
R_6      LABEL BYTE
         UPER   R_7-R_6
         SKOB
         ZNACH  OZ,'4'
         ZAKR
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    10,11
         ZAKR
         UGR    8,9
         ZAKR
         BL_
         KBL    F44
         KBL    SCH
         NSS    3,':NS'
         KBR
         TP0
         KBR
         BR
         KBL    R
         TP0
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         KBR
         TPS   17
         TPS   15
         TPS   13
         TPS   7
         EST
;        ('S'E1)E2(E3)(E4)=K/RS/('S'E1)(E4)E2(E3).
;*       3 5 674CDAEFB8GH92
R_7      LABEL BYTE
         UPER   R_8-R_7
         SKOB
         ZNACH  OZ,'S'
         ZAKR
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    10,11
         ZAKR
         UGR    8,9
         ZAKR
         KBL    RS
         BL_
         NSS    1,'S'
         TP0
         BR
         BL_
         TP0
         BR
         TP0
         BL_
         TP0
         BR
         KBR
         TPS   15
         TPS   13
         TPS   17
         TPS   7
         EST
;        ('E'E1)E2(E3)(E4)=K/RE/('E'E1)(E4)E2(E3).
;*       3 5 674CDAEFB8GH92
R_8      LABEL BYTE
         UPER   R_9-R_8
         SKOB
         ZNACH  OZ,'E'
         ZAKR
         UGR    4,2
         SKOBZ
         SKOBZ
         ZAKR
         UGR    10,11
         ZAKR
         UGR    8,9
         ZAKR
         KBL    RE
         BL_
         NSS    1,'E'
         TP0
         BR
         BL_
         TP0
         BR
         TP0
         BL_
         TP0
         BR
         KBR
         TPS   15
         TPS   13
         TPS   17
         TPS   7
         EST
;        (E3)(E4)=K/RX/E3.
;*       356479A82
R_9      LABEL BYTE
         UPER   R_E-R_9
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         ZAKR
         UGR    8,2
         PROV
         KBL    RX
         TP0
         KBR
         TPS   6
         EST
R_E      LABEL BYTE
         AB
;R0      SN(E1)S2E3=K/R0/K/P1/SN.(E1S2)E3.
;*       3 46758 9A2
R0       LABEL BYTE
         NOL    2,'R0'
R0_1     LABEL BYTE
         UPER   R0_2-R0_1
         SIM
         SKOB
         ZAKR
         UGR    5,2
         SIM
         ZAKR
         KBL    R0
         KBL    P1
         MULS   3
         KBR
         BL_
         TP0
         MULS   8
         BR
         TP0
         KBR
         TPS   10
         TPS   7
         EST
;        SN(E1)=K/P2/SN.K//':NSS'.SNE1
;*       3 46752
R0_2     LABEL BYTE
         UPER   R0_E-R0_2
         SIM
         SKOB
         ZAKR
         UGR    5,2
         PROV
         KBL    P2
         MULS   3
         KBR
         KBL    SCH
         NSS    4,':NSS'
         KBR
         MULS   3
         TP0
         TPS   7
         EST
R0_E     LABEL BYTE
         AB
;F44     S1S2E3=K/F441/K/CMPN/S2'9'.S1S2E3.
F44      LABEL BYTE
         NOL    3,'F44'
F44_1    LABEL BYTE
         UPER   F44_E-F44_1
         SIM
         SIM
         ZAKR
         KBL    F441
         KBL    CMPN
         MULS   4
         NSS    1,'9'
         KBR
         MULS   3
         MULS   4
         TP0
         KBR
         TPS   6
         EST
F44_E      LABEL BYTE
         AB
;F441    '>'S1E2=/0/S1/2/E2
F441     LABEL BYTE
         NOL    4,'F441'
F441_1    LABEL BYTE
         UPER   F441_2-F441_1
         ZNACH  OZ,'>'
         SIM
         ZAKR
         NS     MC,0
         MULS   4
         NS     MC,2
         TP0
         TPS   6
         EST
;        S0S1E2=/4/S1/4/K/F4D//0/E2.
F441_2    LABEL BYTE
         UPER   F441_E-F441_2
         SIM
         SIM
         ZAKR
         NS     MC,4
         MULS   4
         NS     MC,4
         KBL    F4D
         NS     MC,0
         TP0
         KBR
         TPS   6
         EST
F441_E      LABEL BYTE
         AB
;F4D    S0S1E2=K/F4D/K/ADDN/K/MULN/S0/10/.K/SUBN/S1'0'..E2.
F4D     LABEL BYTE
         NOL    3,'F4D'
F4D_1    LABEL BYTE
         UPER   F4D_2-F4D_1
         SIM
         SIM
         ZAKR
         KBL    F4D
         KBL    ADDN
         KBL    MULN
         MULS   3
         NS     MC,10
         KBR
         KBL    SUBN
         MULS   4
         NSS     1,'0'
         KBR
         KBR
         TP0
         KBR
         TPS   6
         EST
;        S0=S0
F4D_2    LABEL BYTE
         UPER   F4D_E-F4D_2
         SIM
         PROV
         MULS   3
         EST
F4D_E      LABEL BYTE
         AB
;RS      (E1)(E2(S3E1)E4)E5=(/2/K//':MULS'.S3)K/R/E5(E2(S3E1)E4).
;*       356479ABD EFCGH8IJ2
RS       LABEL BYTE
         NOL    2,'RS'
RS_1     LABEL BYTE
         UPER   RS_E-RS_1
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         UD
         SKOB
         SIM
         STB    6
         PROV
         UGR    12,8
         ZAKR
         UGR    8,2
         ZAKR
         BL_
         NS     MC,2
         KBL    SCH
         NSS    5,':MULS'
         KBR
         MULS   13
         BR
         KBL    R
         TP0
         BL_
         TP0
         BL_
         MULS   13
         TP0
         BR
         TP0
         BR
         KBR
         TPS   17
         TPS   6
         TPS   10
         TPS   19
         EST
RS_E     LABEL BYTE
         AB
;RE      (E1)(E2(S3E1)E4)E5(E6)=(/1/K//':TP0'.)K/R/E5((S3E1)E6)(E2E4).
;*       356479ABD EFCGH8KLIMNJ2
RE       LABEL BYTE
         NOL    2,'RE'
RE_1     LABEL BYTE
         UPER   RE_E-RE_1
         SKOB
         ZAKR
         UGR    4,2
         SKOB
         UD
         SKOB
         SIM
         STB    6
         PROV
         UGR    12,8
         ZAKR
         UGR    8,2
         SKOBZ
         ZAKR
         UGR    10+'I'-'A',10+'J'-'A'
         ZAKR
         BL_
         NS     MC,1
         KBL    SCH
         NSS    4,':TP0'
         KBR
         BR
         KBL    R
         TP0
         BL_
         BL_
         MULS   13
         TP0
         BR
         TP0
         BR
         BL_
         TP0
         TP0
         BR
         KBR
         TPS   17
         TPS   10
         TPS   10+'N'-'A'
         TPS   6
         TPS   10+'L'-'A'
         EST
RE_E     LABEL BYTE
         AB
;RX      (S1E2)E3=(/2/K//':TPS'.S1)K/RX/E3.
;*       35 674892
RX        LABEL BYTE
         NOL    2,'RX'
RX_1      LABEL BYTE
         UPER   RX_2-RX_1
         SKOB
         SIM
         ZAKR
         UGR    4,2
         ZAKR
         BL_
         NS     MC,2
         KBL    SCH
         NSS    4,':TPS'
         KBR
         MULS   5
         BR
         KBL    RX
         TP0
         KBR
         TPS   9
         EST
;       =
RX_2      LABEL BYTE
         UPER   RX_E-RX_2
         PROV
         EST
RX_E      LABEL BYTE
         AB
;W       E1=K/W21/K/W10/K//':N'.K/W0/E1...
W        LABEL BYTE
         NOL    1,'W'
W_1      LABEL BYTE
         UPER   W_E-W_1
         ZAKR
         KBL    W21
         KBL    W10
         KBL    BK
         NSS    2,':N'
         KBR
         KBL    W0
         TP0
         KBR
         KBR
         KBR
         TPS   4
         EST
W_E      LABEL BYTE
         AB
;W0      ((E1)E2)E3=K/W01//1/E2((K/FM//0/()()E1.)).
;*       357869A4BC2
W0       LABEL BYTE
         NOL    2,'W0'
W0_1     LABEL BYTE
         UPER   W0_2-W0_1
         SKOB
         SKOB
         ZAKR
         UGR    6,4
         ZAKR
         UGR    4,2
         ZAKR
         KBL    W01
         NS     MC,1
         TP0
         BL_
         BL_
         KBL    FM
         NS     MC,0
         BL_
         BR
         BL_
         BR
         TP0
         KBR
         BR
         BR
         KBR
         TPS   8
         TPS   10
         EST
;       =
W0_2     LABEL BYTE
         UPER   W0_E-W0_2
         PROV
         EST
W0_E      LABEL BYTE
         AB
;W01     SN(SME2)E3(E4)=K/W01/K/ADDN/SNSM.E3+
;*       3 46 785BC9DEA2
;                 (E4((/2/K//':'.SM)E2(/1/K//':EST'.))).
W01      LABEL BYTE
         NOL    3,'W01'
W01_1    LABEL BYTE
         UPER   W01_2-W01_1
         SIM
         SKOB
         SIM
         ZAKR
         UGR    5,2
         SKOBZ
         ZAKR
         UGR    9,10
         ZAKR
         KBL    W01
         KBL    ADDN
         MULS   3
         MULS   6
         KBR
         TP0
         BL_
         TP0
         BL_
         BL_
         NS     MC,2
         KBL    SCH
         NSS    5,':'
         KBR
         MULS   6
         BR
         TP0
         BL_
         NS     MC,1
         KBL    SCH
         NSS    4,':EST'
         KBR
         BR
         BR
         BR
         KBR
         TPS    8
         TPS    14
         TPS    12
         EST
;        SN((SM(E1)(E2))E4)=K/P2/K/ADDN/SNSM..(E1)+
;*       3 468 9BCADFGE7HI52
;                  ((K/P2/SM.K//':NOL'.SME2))E4((/1/K//':AB'.))
W01_2    LABEL BYTE
         UPER   W01_E-W01_2
         SIM
         SKOB
         SKOB
         SIM
         SKOB
         ZAKR
         UGR    10,7
         SKOB
         ZAKR
         UGR    14,7
         PROV
         UGR    7,5
         ZAKR
         UGR    5,2
         PROV
         KBL    P2
         KBL    ADDN
         MULS   3
         MULS   8
         KBR
         KBR
         BL_
         TP0
         BR
         BL_
         BL_
         KBL    P2
         MULS   8
         KBR
         KBL    SCH
         NSS    4,':NOL'
         KBR
         MULS   8
         TP0
         BR
         BR
         TP0
         BL_
         BL_
         NS     MC,1
         KBL    SCH
         NSS    3,':AB'
         KBR
         BR
         BR
         TPS    18
         TPS    16
         TPS    12
         EST
W01_E    LABEL BYTE
         AB
;FM     SN(E1)(E2)SME4=K/FM/K/P1/SN.(E1SM)(E2SM)E4.
;*      3 46758AB9C DE2
FM      LABEL BYTE
         NOL    2,'FM'
FM_1    LABEL BYTE
         UPER   FM_2-FM_1
         SIM
         SKOB
         ZAKR
         UGR    5,2
         SKOB
         ZAKR
         UGR    9,2
         SIM
         ZAKR
         KBL    FM
         KBL    P1
         MULS   3
         KBR
         BL_
         TP0
         MULS   12
         BR
         BL_
         TP0
         MULS   12
         BR
         TP0
         KBR
         TPS    14
         TPS    11
         TPS    7
         EST
;       SN(E1)(E2)=SN(E1)(E2)
;*      3 46758AB92
FM_2    LABEL BYTE
         UPER   FM_E-FM_2
         SIM
         SKOB
         ZAKR
         UGR    5,2
         SKOB
         ZAKR
         UGR    9,2
         PROV
         MULS   3
         BL_
         TP0
         BR
         BL_
         TP0
         BR
         TPS    11
         TPS    7
         EST
FM_E    LABEL BYTE
         AB
;W10     SNSM(E1)E2=K//E1'='SN.K//':N='K/ADDN/SNSM..K/W11/SNE2.
;*       3 4 57869A2
W10      LABEL BYTE
         NOL    3,'W10'
W10_1    LABEL BYTE
         UPER   W10_E-W10_1
         SIM
         SIM
         SKOB
         ZAKR
         UGR    6,2
         ZAKR
         KBL    ZK
         TP0
         NSS    1,'='
         MULS   3
         KBR
         KBL    ZK
         NSS    3,':N='
         KBL    ADDN
         MULS   3
         MULS   4
         KBR
         KBR
         KBL    W11
         MULS   3
         TP0
         KBR
         TPS    10
         TPS    8
         EST
W10_E    LABEL BYTE
         AB
;W11     SN((E1)E2)E3=K/W11/SN(E1)E2E3.
;*       3 46897AB5CD2
W11      LABEL BYTE
         NOL    3,'W11'
W11_1    LABEL BYTE
         UPER   W11_2-W11_1
         SIM
         SKOB
         SKOB
         ZAKR
         UGR    7,5
         ZAKR
         UGR    5,2
         ZAKR
         KBL    W11
         MULS   3
         BL_
         TP0
         BR
         TP0
         TP0
         KBR
         TPS    13
         TPS    11
         TPS    9
         EST
;        SN(/0/SASBE2)E3=K/W12/(K/W13/K/FM//0/()()E2..)SASBSNE3.
;*       3 4 6 7 8 9A5BC2
W11_2    LABEL BYTE
         UPER   W11_3-W11_2
         SIM
         SKOB
         ZNACH  MC,0
         SIM
         SIM
         ZAKR
         UGR    5,2
         ZAKR
         KBL    W12
         BL_
         KBL    W13
         KBL    FM
         NS     MC,0
         BL_
         BR
         BL_
         BR
         TP0
         KBR
         KBR
         BR
         MULS   7
         MULS   8
         MULS   3
         TP0
         KBR
         TPS    12
         TPS    10
         EST
;        SN(/4/SASBSC)E3=K/WX1/SNSASB.K/WX2/K/P2/SN.SC.+
;*       3 4 6 7 8 9 5AB2
;                       K/W11/K/ADDN/SN/4/.E3.
W11_3    LABEL BYTE
         UPER   W11_4-W11_3
         SIM
         SKOB
         ZNACH  MC,4
         SIM
         SIM
         SIM
         PROV
         UGR    5,2
         ZAKR
         KBL    WX1
         MULS   3
         MULS   7
         MULS   8
         KBR
         KBL    WX2
         KBL    P2
         MULS   3
         KBR
         MULS   9
         KBR
         KBL    W11
         KBL    ADDN
         MULS   3
         NS     MC,4
         KBR
         TP0
         KBR
         TPS    11
         EST
;        SN(SME2)E3=K/WX1/SNE2.+
;*       3 46 7859A2
;                       K/W11/K/ADDN/SNSM.E3.
W11_4    LABEL BYTE
         UPER   W11_5-W11_4
         SIM
         SKOB
         SIM
         ZAKR
         UGR    5,2
         ZAKR
         KBL    WX1
         MULS   3
         TP0
         KBR
         KBL    W11
         KBL    ADDN
         MULS   3
         MULS   6
         KBR
         TP0
         KBR
         TPS    10
         TPS    8
         EST
;        SN=K//':D='K/WW1/K//':D'...
W11_5    LABEL BYTE
         UPER   W11_E-W11_5
         SIM
         PROV
         KBL    ZK
         NSS    3,':D='
         KBL    WW1
         KBL    BK
         NSS    2,':D'
         KBR
         KBR
         KBR
         EST
W11_E    LABEL BYTE
         AB
;W13     SN(E1)(E2)=(K//E1.)E2
;*       3 46758AB92
W13      LABEL BYTE
         NOL    3,'W13'
W13_1    LABEL BYTE
         UPER   W13_E-W13_1
         SIM
         SKOB
         ZAKR
         UGR    5,2
         SKOB
         ZAKR
         UGR    9,2
         ZAKR
         BL_
         KBL    SCH
         TP0
         KBR
         BR
         TP0
         TPS    11
         TPS    7
         EST
W13_E    LABEL BYTE
         AB
;W14     SN(E1)(E2)=(K//'_'E1.)E2
;*       3 46758AB92
W14      LABEL BYTE
         NOL    3,'W14'
W14_1    LABEL BYTE
         UPER   W14_E-W14_1
         SIM
         SKOB
         ZAKR
         UGR    5,2
         SKOB
         ZAKR
         UGR    9,2
         ZAKR
         BL_
         KBL    SCH
         NSS    1,'_'
         TP0
         KBR
         BR
         TP0
         TPS    11
         TPS    7
         EST
W14_E    LABEL BYTE
         AB
;W15     SNSL(E1)(E2)SME3=K//E1'='SN.K/WX2/SMSN.+
;*       3 4 57869BCAD EF
;                     (K/ADDN/SL/4/.K//':NOL'.SLE2/0/E3)+
;                     K//':N='K/ADDN/SNK/ADDN/SL/4/...
W15      LABEL BYTE
         NOL    3,'W15'
W15_1    LABEL BYTE
         UPER   W15_E-W15_1
         SIM
         SIM
         SKOB
         ZAKR
         UGR    6,2
         SKOB
         ZAKR
         UGR    10,2
         SIM
         ZAKR
         KBL    ZK
         TP0
         NSS    1,'='
         MULS   3
         KBR
         KBL    WX2
         MULS   13
         MULS   3
         KBR
         BL_
         KBL    ADDN
         MULS   4
         NS     MC,4
         KBR
         KBL    SCH
         NSS    4,':NOL'
         KBR
         MULS   4
         TP0
         NS     MC,0
         TP0
         BR
         KBL    ZK
         NSS    3,':N='
         KBL    ADDN
         MULS   3
         KBL    ADDN
         MULS   4
         NS     MC,4
         KBR
         KBR
         KBR
         TPS    15
         TPS    12
         TPS    8
         EST
W15_E    LABEL BYTE
         AB
;W12     (()E2)E3=K/W12A/(K/W14/K/FM//0/()()E2..)E3.
;*       3567849A2
W12      LABEL BYTE
         NOL    3,'W12'
W12_1    LABEL BYTE
         UPER   W12_2-W12_1
         SKOB
         SKOB
         PROV
         UGR    6,4
         ZAKR
         UGR    4,2
         ZAKR
         KBL    W12A
         BL_
         KBL    W14
         KBL    FM
         NS     MC,0
         BL_
         BR
         BL_
         BR
         TP0
         KBR
         KBR
         BR
         TP0
         KBR
         TPS    10
         TPS    8
         EST
;        ((E1)E2)SASBSNE3=K/WX1/SNSASB.K/WX2/K/P2/SN.E1.+
;*       357869A4B C D EF2
;                       K/W11/K/ADDN/SN/4/.E3.
W12_2    LABEL BYTE
         UPER   W12_E-W12_2
         SKOB
         SKOB
         ZAKR
         UGR    6,4
         ZAKR
         UGR    4,2
         SIM
         SIM
         SIM
         ZAKR
         KBL    WX1
         MULS   13
         MULS   11
         MULS   12
         KBR
         KBL    WX2
         KBL    P2
         MULS   13
         KBR
         TP0
         KBR
         KBL    W11
         KBL    ADDN
         MULS   13
         NS     MC,4
         KBR
         TP0
         KBR
         TPS    15
         TPS    8
         EST
W12_E    LABEL BYTE
         AB
;W12A    (()E2)SASBSNE3=K/WX1/SNSASB.K/WX2/K/P2/SN./0/.+
;*       3567849 A B CD2
;                       K//':D='K//':D'.(SNSASBE2).+
;                       K/W11/K/ADDN/SN/4/.E3.
W12A      LABEL BYTE
         NOL    4,'W12A'
W12A_1    LABEL BYTE
         UPER   W12A_2-W12A_1
         SKOB
         SKOB
         PROV
         UGR    6,4
         ZAKR
         UGR    4,2
         SIM
         SIM
         SIM
         ZAKR
         KBL    WX1
         MULS   11
         MULS   9
         MULS   10
         KBR
         KBL    WX2
         KBL    P2
         MULS   11
         KBR
         NS     MC,0
         KBR
         KBL    ZK
         NSS    3,':D='
         KBL    BK
         NSS    2,':D'
         KBR
         BL_
         MULS   11
         MULS   9
         MULS   10
         TP0
         BR
         KBR
         KBL    W11
         KBL    ADDN
         MULS   11
         NS     MC,4
         KBR
         TP0
         KBR
         TPS    13
         TPS    8
         EST
;        ((E1)E2)SASBSNE3=K/W11/K/ADDN/SN/4/.E3+
;*       357869A4B C D EF2
;                       K/WX1/SNSASB.+
;                       K/W15/K//':N'.K/FM//0/()()E2.K/P2/SN.E1. .
W12A_2    LABEL BYTE
         UPER   W12A_E-W12A_2
         SKOB
         SKOB
         ZAKR
         UGR    6,4
         ZAKR
         UGR    4,2
         SIM
         SIM
         SIM
         ZAKR
         KBL    W11
         KBL    ADDN
         MULS   13
         NS     MC,4
         KBR
         TP0
         KBL    WX1
         MULS   13
         MULS   11
         MULS   12
         KBR
         KBL    W15
         KBL    BK
         NSS    2,':N'
         KBR
         KBL    FM
         NS     MC,0
         BL_
         BR
         BL_
         BR
         TP0
         KBR
         KBL    P2
         MULS   13
         KBR
         TP0
         KBR
         KBR
         TPS    8
         TPS    10
         TPS    15
         EST
W12A_E    LABEL BYTE
         AB
;WW1     (SNSASBE2)E3=K/WW2/(K/W13/K/FM//0/()()E2..)SNSASB.K/WW1/E3.
;*       35 6 7 894AB2
WW1     LABEL BYTE
        NOL     3,'WW1'
WW1_1    LABEL BYTE
         UPER   WW1_2-WW1_1
         SKOB
         SIM
         SIM
         SIM
         ZAKR
         UGR    4,2
         ZAKR
         KBL    WW2
         BL_
         KBL    W13
         KBL    FM
         NS     MC,0
         BL_
         BR
         BL_
         BR
         TP0
         KBR
         KBR
         BR
         MULS    5
         MULS    6
         MULS    7
         KBR
         KBL    WW1
         TP0
         KBR
         TPS    11
         TPS    9
         EST
;       =
WW1_2    LABEL BYTE
         UPER   WW1_E-WW1_2
         PROV
         EST
WW1_E    LABEL BYTE
         AB
;WW2     (()E2)E3=(E3E2)
;*       3567849A2
WW2     LABEL BYTE
        NOL     3,'WW2'
WW2_1    LABEL BYTE
         UPER   WW2_2-WW2_1
         SKOB
         SKOB
         PROV
         UGR    6,4
         ZAKR
         UGR    4,2
         ZAKR
         BL_
         TP0
         TP0
         BR
         TPS    8
         TPS    10
         EST
;       ((E1)E2)SNE3=K/WX2/K/P2/SN.E1.
;*      357869A4B CD2
WW2_2    LABEL BYTE
         UPER   WW2_E-WW2_2
         SKOB
         SKOB
         ZAKR
         UGR    6,4
         ZAKR
         UGR    4,2
         SIM
         ZAKR
         KBL    WX2
         KBL    P2
         MULS   11
         KBR
         TP0
         KBR
         TPS    8
         EST
WW2_E    LABEL BYTE
         AB
;DEL     E1=
DEL      LABEL BYTE
         NOL    3,'DEL'
DEL_1    LABEL BYTE
         UPER   DEL_E-DEL_1
         ZAKR
         EST
DEL_E    LABEL BYTE
         AB
WW       LABEL BYTE
W21       LABEL BYTE
W2       LABEL BYTE
W1       LABEL BYTE
NUL      LABEL BYTE
;WW      E1=E1
;W21     E1=E1
;NUL     E1=E1
         NOL    3,'NUL'
NUL_1    LABEL BYTE
         UPER   NUL_E-NUL_1
         ZAKR
         TP0
         TPS    4
         EST
NUL_E    LABEL BYTE
         AB

G       DB      '0',1,'G',0,1
WX1     DB      '0',3,'WX1',0,2
WX2     DB      '0',3,'WX2',0,3
ZK      DB      '0',2,'',0,10
BK      DB      '0',2,'',0,11
SCH     DB      '0',2,'',0,12
ZP      DB      '0',2,'',0,13
M1      DB      '0',2,'M1',0,20
P1      DB      '0',2,'P1',0,21
P2      DB      '0',2,'P2',0,22
CMPN    DB      '0',4,'CMPN',0,30
ADDN    DB      '0',4,'ADDN',0,31
SUBN    DB      '0',4,'SUBN',0,32
MULN    DB      '0',4,'MULN',0,33
dat     ends
        end
